Index: lib/Makefile
===================================================================
--- lib/Makefile	(revision 3b4a22a8ca8a88122fa5fbf51218a5e6e65a90c8)
+++ lib/Makefile	(revision c08d2016c16d1748c4c527c8055f90f5a7669004)
@@ -13,5 +13,5 @@
 
 # [SH] Program variables
-objects = arc.o base64.o $(EVENT_HANDLER) ftutil.o http_client.o ini.o json.o md5.o misc.o oauth.o oauth2.o proxy.o sha1.o $(SSL_CLIENT) url.o xmltree.o
+objects = arc.o base64.o $(EVENT_HANDLER) ftutil.o http_client.o ini.o json.o json_util.o md5.o misc.o oauth.o oauth2.o proxy.o sha1.o $(SSL_CLIENT) url.o xmltree.o
 
 LFLAGS += -r
Index: lib/json_util.c
===================================================================
--- lib/json_util.c	(revision c08d2016c16d1748c4c527c8055f90f5a7669004)
+++ lib/json_util.c	(revision c08d2016c16d1748c4c527c8055f90f5a7669004)
@@ -0,0 +1,51 @@
+/***************************************************************************\
+*                                                                           *
+*  BitlBee - An IRC to IM gateway                                           *
+*  Helper functions for json.c                                              *
+*                                                                           *
+*  Copyright 2012 Wilmer van der Gaast <wilmer@gaast.net>                   *
+*                                                                           *
+*  This library is free software; you can redistribute it and/or            *
+*  modify it under the terms of the GNU Lesser General Public               *
+*  License as published by the Free Software Foundation, version            *
+*  2.1.                                                                     *
+*                                                                           *
+*  This library is distributed in the hope that it will be useful,          *
+*  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
+*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
+*  Lesser General Public License for more details.                          *
+*                                                                           *
+*  You should have received a copy of the GNU Lesser General Public License *
+*  along with this library; if not, write to the Free Software Foundation,  *
+*  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA           *
+*                                                                           *
+****************************************************************************/
+
+#include <stdlib.h>
+#include <string.h>
+
+#include "json_util.h"
+
+json_value *json_o_get( json_value *obj, json_char *name )
+{ 
+	int i;
+	
+	if( obj->type != json_object )
+		return NULL;
+
+	for( i = 0; i < obj->u.object.length; ++ i)
+		if( strcmp( obj->u.object.values[i].name, name ) == 0 )
+			return obj->u.object.values[i].value;
+
+	return NULL;
+}
+
+const char *json_o_str( json_value *obj, json_char *name )
+{ 
+	json_value *ret = json_o_get( obj, name );
+	
+	if( ret )
+		return ret->u.string.ptr;
+	else
+		return NULL;
+}
Index: lib/json_util.h
===================================================================
--- lib/json_util.h	(revision c08d2016c16d1748c4c527c8055f90f5a7669004)
+++ lib/json_util.h	(revision c08d2016c16d1748c4c527c8055f90f5a7669004)
@@ -0,0 +1,27 @@
+/***************************************************************************\
+*                                                                           *
+*  BitlBee - An IRC to IM gateway                                           *
+*  Helper functions for json.c                                              *
+*                                                                           *
+*  Copyright 2012 Wilmer van der Gaast <wilmer@gaast.net>                   *
+*                                                                           *
+*  This library is free software; you can redistribute it and/or            *
+*  modify it under the terms of the GNU Lesser General Public               *
+*  License as published by the Free Software Foundation, version            *
+*  2.1.                                                                     *
+*                                                                           *
+*  This library is distributed in the hope that it will be useful,          *
+*  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
+*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
+*  Lesser General Public License for more details.                          *
+*                                                                           *
+*  You should have received a copy of the GNU Lesser General Public License *
+*  along with this library; if not, write to the Free Software Foundation,  *
+*  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA           *
+*                                                                           *
+****************************************************************************/
+
+#include "json.h"
+
+json_value *json_o_get( json_value *obj, json_char *name );
+const char *json_o_str( json_value *obj, json_char *name );
